BillOS v1
Console llms.txt OpenAPI
POST/businesses/{bid}/services

Add a service

POST /businesses/{bid}/services

Requires the businesses scope.

Up to 200 per business. Answers whether or not the calendar is on.

Path parameters

NameTypeDescription
bidstringrequiredBusiness id, from POST /businesses.

Body

FieldTypeDescription
namestringRequired on create. ≤120 chars.
minutesinteger5..1440. Default 60.
priceAgorotintegerInteger agorot (₪1 = 100).
priceModestringOne of: gross, net. Default gross.
colorstring#RRGGBB
activeboolean
sortOrderinteger

Response

201: { "ok": true, … }

FieldTypeDescription
okbooleanrequired
serviceServicerequiredSomething the business sells by the appointment. Picking it fills an appointment's length, price and title.

Errors: 400, 401, 403, 404, 429. Every failure answers { "error", "reason", "hint", "param", "doc_url", "retryable", "request_id" }: branch on reason, and read hint for what to change (https://docs.billos.co.il/errors.md).

POST /businesses/{bid}/services
curl -X POST "$BASE/businesses/$BID/services" \
  -H "X-Api-Key: $KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "priceMode": "gross"
  }'
const res = await fetch(`${BASE}/businesses/${BID}/services`, {
  method: 'POST',
  headers: {
    'X-Api-Key': KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "priceMode": "gross"
  }),
})
const data = await res.json()
if (!data.ok) throw new Error(data.reason)
import requests
res = requests.post(
    f"{BASE}/businesses/{BID}/services",
    headers={"X-Api-Key": KEY},
    json={
      "priceMode": "gross"
    },
)
data = res.json()
Set BASE to https://api.billos.co.il/v1 and KEY to your bk_live_… key, or a bk_test_… key to run it against the sandbox.
Manage your businesses, keys and webhooks in the BillOS Console.